Bug 1468208 - If fluentd package is not upgraded the metrics setup script fails
If fluentd package is not upgraded the metrics setup script fails
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine-metrics
Classification: oVirt
Component: Generic (Show other bugs)
1.0.4.3
Unspecified Unspecified
unspecified Severity high
: ovirt-4.1.4
: 1.0.5
Assigned To: Shirly Radco
Lukas Svaty
:
Depends On:
Blocks: oVirt-Metrics-and-Logs 1468892
  Show dependency treegraph
 
Reported: 2017-07-06 06:38 EDT by Shirly Radco
Modified: 2017-08-02 09:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-28 10:14:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Metrics
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 79106 master MERGED ansible: upgrade packages to latest 2017-07-09 07:48 EDT

  None (edit)
Description Shirly Radco 2017-07-06 06:38:27 EDT
Description of problem:
Due to the change in fluentd that runs it as root, if the package is not upgraded in the hosts or engine  the metrics setup script fails due to insufficient permissions.

/usr/share/gems/gems/fluentd-0.12.29/lib/fluent/supervisor.rb:474:in `read': Permission denied - /etc/fluentd/fluent.conf (Errno::EACCES) 

Version-Release number of selected component (if applicable):
4.1.3

How reproducible:
100%

Steps to Reproduce:
1. Have 4.1 host/engine with fluentd-0.12.29 package.
2. configure config.yml.
3. Run the configure_ovirt_machines_for_metrics.sh script


Actual results:
Deployment fails

Expected results:
Should not have errors on permissions 

Additional info:
Comment 1 Shirly Radco 2017-07-06 07:26:02 EDT
There is an option to upgrade the packages in the setup script. Currently it only installs missing packages if do not exists.

As I understand it is not that uncommon for users to not update the hosts packages. The question is if we want to add a requirement that the hosts and engine packages must me upgraded before running the metrics setup script or to upgrade the relevant packages in the script itself?
Comment 2 Yaniv Kaul 2017-07-06 07:56:48 EDT
(In reply to Shirly Radco from comment #1)
> There is an option to upgrade the packages in the setup script. Currently it
> only installs missing packages if do not exists.
> 
> As I understand it is not that uncommon for users to not update the hosts
> packages. The question is if we want to add a requirement that the hosts and
> engine packages must me upgraded before running the metrics setup script or
> to upgrade the relevant packages in the script itself?

Documentation seems sufficient to me.
Is the 'Upgrade' from Engine has those packages as well? at least for 4.2, we'd like them to be there.
Comment 3 Yedidyah Bar David 2017-07-06 08:01:30 EDT
(In reply to Yaniv Kaul from comment #2)
> (In reply to Shirly Radco from comment #1)
> > There is an option to upgrade the packages in the setup script. Currently it
> > only installs missing packages if do not exists.
> > 
> > As I understand it is not that uncommon for users to not update the hosts
> > packages. The question is if we want to add a requirement that the hosts and
> > engine packages must me upgraded before running the metrics setup script or
> > to upgrade the relevant packages in the script itself?
> 
> Documentation seems sufficient to me.

Is there a problem if we upgrade?

The patch should be trivial.

In the past we decided to also not install. If we now install, upgrading does not add much risk, IMO.

> Is the 'Upgrade' from Engine has those packages as well?

Should have.

> at least for 4.2,
> we'd like them to be there.
Comment 4 Yaniv Kaul 2017-07-06 08:05:04 EDT
(In reply to Yedidyah Bar David from comment #3)
> (In reply to Yaniv Kaul from comment #2)
> > (In reply to Shirly Radco from comment #1)
> > > There is an option to upgrade the packages in the setup script. Currently it
> > > only installs missing packages if do not exists.
> > > 
> > > As I understand it is not that uncommon for users to not update the hosts
> > > packages. The question is if we want to add a requirement that the hosts and
> > > engine packages must me upgraded before running the metrics setup script or
> > > to upgrade the relevant packages in the script itself?
> > 
> > Documentation seems sufficient to me.
> 
> Is there a problem if we upgrade?
> 
> The patch should be trivial.

OK, if you can make it on time for 4.1.4.

> 
> In the past we decided to also not install. If we now install, upgrading
> does not add much risk, IMO.
> 
> > Is the 'Upgrade' from Engine has those packages as well?
> 
> Should have.
> 
> > at least for 4.2,
> > we'd like them to be there.
Comment 5 Lukas Svaty 2017-07-18 11:58:09 EDT
verified in ovirt-engine-metrics-1.0.5-1.el7ev.noarch

Note You need to log in before you can comment on or make changes to this bug.